using mercury;
using System;

using static mercury.fruitbowl;

class CSharpMain {

    static void Main(string[] args)
    {
        var db = fruitbowl.InitDatabase();
        fruitbowl.PrintDatabase(db);

        db = fruitbowl.Add("apple", NOT_CITRUS, db);
        db = fruitbowl.Add("lemon", CITRUS, db);
        db = fruitbowl.Add("orange", CITRUS, db);
        fruitbowl.PrintDatabase(db);

        Console.WriteLine("is_citrus(\"orange\") is {0}.",
            fruitbowl.IsCitrus(db, "orange"));
        db = fruitbowl.Remove("orange", db);
        Console.WriteLine("is_citrus(\"orange\") is {0}.",
            fruitbowl.IsCitrus(db, "orange"));

        db = fruitbowl.Add("kiwi", NOT_CITRUS, db);
        fruitbowl.PrintDatabase(db);
    }
}
